From 08b12b918f367bc9a236fc4d0f4b41103b7b9d75 Mon Sep 17 00:00:00 2001
From: Ian Moffett <ian@osmora.org>
Date: Fri, 21 Feb 2025 14:33:45 -0500
Subject: tools: Add hwdoc script

Add script to fetch hardware documentation/manuals from the OSMORA OCS.

Signed-off-by: Ian Moffett <ian@osmora.org>
---
 tools/hwdoc | 52 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 52 insertions(+)
 create mode 100755 tools/hwdoc

(limited to 'tools/hwdoc')

diff --git a/tools/hwdoc b/tools/hwdoc
new file mode 100755
index 0000000..76c55cc
--- /dev/null
+++ b/tools/hwdoc
@@ -0,0 +1,52 @@
+#!/bin/bash
+
+#
+# Copyright (c) 2023-2025 Ian Marco Moffett and the Osmora Team.
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are met:
+#
+# 1. Redistributions of source code must retain the above copyright notice,
+#    this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+# 3. Neither the name of Hyra nor the names of its contributors may be used
+#    to endorse or promote products derived from this software without
+#    specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
+# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+# POSSIBILITY OF SUCH DAMAGE.
+
+set -e
+
+UNPACK_DIR="hwdoc"
+UNPACK_LOC="share/misc/$UNPACK_DIR"
+
+if [[ "$1" == "--clean" ]]
+then
+    echo "Removing $UNPACK_LOC..."
+    rm -rf $UNPACK_LOC
+    exit 0
+fi
+
+echo "-----------------------------------------"
+echo "Fetching OSMORA hwdoc list..."
+echo "-----------------------------------------"
+mkdir -pv $UNPACK_LOC
+cd $UNPACK_LOC && wget --no-parent --accept \
+    "*.pdf" -vmnd https://osmora.org/$UNPACK_DIR/
+
+echo "-----------------------------------------"
+echo "OSMORA hwdoc is now in share/misc/hwdoc/"
+echo "-----------------------------------------"
-- 
cgit v1.2.3